사전 정의된 규칙은 서로 함께 적용할 수 없습니다

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict을 사용해 응답합니다. type 값은 https://lingo.dev/docs/api/errors/predefined-rule-exclusive입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

사전 정의된 규칙 <id>를 이 엔진에 연결할 수 없습니다. 엔진에 이미 적용된 <heldId>와 함께 적용할 수 없는 규칙입니다. 먼저 <heldId>의 연결을 해제한 다음 <id>를 연결하세요.

필드#

본문에는 표준 멤버 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.

필드유형
idstring
heldIdstring

예시#

json
{
  "detail": "Cannot attach predefined rule <id> to this engine. It is mutually exclusive with <heldId>, which the engine already applies. Detach <heldId> first, then attach <id>.",
  "id": "<id>",
  "heldId": "<heldId>",
  "type": "https://lingo.dev/docs/api/errors/predefined-rule-exclusive",
  "status": 409,
  "title": "Predefined rules mutually exclusive"
}

이 오류를 반환하는 엔드포인트#

  • PUT /v2/engines/{engineId}/predefined-rules/{id}